import request from '@/request';
import { LoginDTO, TokenDTO } from '@/models'

export default {
  // 登录
  login: (loginDTO: LoginDTO) => {
    return request.post<TokenDTO>('/admin-api/system/auth/login', loginDTO);
  },

  logout: () => {
    return request.post<any>('/admin-api/system/auth/logout');
  },
  rerefshToken: (refreshToken: string) => {
    return request.post<TokenDTO>(`/admin-api/system/auth/refresh-token?refreshToken=${refreshToken}`);
  }
};
